package cn.com.poc.knowledge.dto;

import cn.com.poc.thirdparty.resource.demand.ai.entity.knowledge.SegmentationConfigRequest;

/**
 * Model class for biz_knowledge_document
 * 知识库文件表
 */
public class BizKnowledgeDocumentDto {


    /**
     * kd_id
     * 主键
     */
    private Integer kdId;

    public Integer getKdId() {
        return kdId;
    }

    public void setKdId(Integer kdId) {
        this.kdId = kdId;
    }

    /**
     * owner
     * 拥有者：System-系统 、User-用户
     */
    private String owner;

    public String getOwner() {
        return this.owner;
    }

    public void setOwner(String owner) {
        this.owner = owner;
    }


    /**
     * knowledge_type
     * 知识库类型   QA-问答、Base-基础
     */
    private String knowledgeType;

    public String getKnowledgeType() {
        return this.knowledgeType;
    }

    public void setKnowledgeType(String knowledgeType) {
        this.knowledgeType = knowledgeType;
    }


    /**
     * document_name
     * 文档名
     */
    private String documentName;

    public String getDocumentName() {
        return this.documentName;
    }

    public void setDocumentName(String documentName) {
        this.documentName = documentName;
    }


    /**
     * document_url
     * 文件下载地址
     */
    private String documentUrl;

    public String getDocumentUrl() {
        return this.documentUrl;
    }

    public void setDocumentUrl(String documentUrl) {
        this.documentUrl = documentUrl;
    }

    /**
     * documentSize
     */
    private String documentSize;

    public String getDocumentSize() {
        return documentSize;
    }

    public void setDocumentSize(String documentSize) {
        this.documentSize = documentSize;
    }

    /**
     * char_count
     * 文档字符数
     */
    private Long charCount;

    public Long getCharCount() {
        return this.charCount;
    }

    public void setCharCount(Long charCount) {
        this.charCount = charCount;
    }


    /**
     * upload_time
     * 上传时间
     */
    private java.util.Date uploadTime;

    public java.util.Date getUploadTime() {
        return this.uploadTime;
    }

    public void setUploadTime(java.util.Date uploadTime) {
        this.uploadTime = uploadTime;
    }


    /**
     * is_enable
     * 是否启用 N-不启用 Y-启用
     */
    private String isEnable;

    public String getIsEnable() {
        return this.isEnable;
    }

    public void setIsEnable(String isEnable) {
        this.isEnable = isEnable;
    }


    /**
     * knowledge_id
     * 中台知识库ID
     */
    private String knowledgeId;

    public String getKnowledgeId() {
        return this.knowledgeId;
    }

    public void setKnowledgeId(String knowledgeId) {
        this.knowledgeId = knowledgeId;
    }


    /**
     * train_status
     * 状态：未执行-Unopened、 排队-Line 、训练中-Training、 完成-Complete、失败-Fail
     */
    private String trainStatus;

    public String getTrainStatus() {
        return this.trainStatus;
    }

    public void setTrainStatus(String trainStatus) {
        this.trainStatus = trainStatus;
    }

    /**
     * 分片规则
     */
    private SegmentationConfigRequest segmentationConfig;

    public SegmentationConfigRequest getSegmentationConfig() {
        return segmentationConfig;
    }

    public void setSegmentationConfig(SegmentationConfigRequest segmentationConfig) {
        this.segmentationConfig = segmentationConfig;
    }
}